---
# all variables added to:
# - /etc/environment
# - Ansible environment when running Venom tests
inventory__group_environment:
  PF_TEST_MGMT_INT: "{{ packetfence_install__mgmt_interface['id'] }}"
  PF_TEST_MGMT_IP: "{{ packetfence_install__mgmt_interface['ip'] }}"
  PF_TEST_MGMT_MASK: "{{ packetfence_install__mgmt_interface['mask'] }}"
  PSONO_CI_SERVER_URL: '{{ lookup("env","PSONO_CI_SERVER_URL")|default("https://psono.inverse.ca/server") }}'
  # lookup variables available to GitLab runner
  # defined in GitLab UI
  PSONO_CI_API_KEY_ID: '{{ lookup("env", "PSONO_CI_API_KEY_ID") }}'
  PSONO_CI_API_SECRET_KEY_HEX: '{{ lookup("env", "PSONO_CI_API_SECRET_KEY_HEX") }}'
  PATH: '/usr/local/go/bin:{{ ansible_env.PATH }}'
  CI: "{{ 'True ' if lookup('env', 'CI') else 'False ' }}"
